use serde::Serialize;

use super::playing_hand::{HandState, PlayingHand};

#[derive(Serialize, Clone)]
pub struct Player {
    pub(super) hands: Vec<PlayingHand>,
}

impl Player {
    pub(super) fn new() -> Self {
        Player { hands: Vec::new() }
    }

    pub fn get_hands(&self) -> &Vec<PlayingHand> {
        &self.hands
    }

    pub(super) fn next_playing_hand(&self) -> Option<usize> {
        self.hands
            .iter()
            .position(|e| *e.get_state() == HandState::Playing)
    }
}
