use std::fmt::Display;

use serde::{Deserialize, Serialize};

use super::{card_index::CardIndex, card_suit::CardSuit};

#[derive(Clone, Copy, Serialize, Deserialize)]
pub struct Card {
    pub suit: CardSuit,
    pub index: CardIndex,
}

impl Display for Card {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        self.suit.fmt(f)?;
        f.write_str(" ")?;
        self.index.fmt(f)?;

        Ok(())
    }
}
