import type { Card } from "./Card";

export interface Player {
    hands: [PlayingHand]
}

export enum PlayingHandState {
    Playing = "Playing",
    Standing = "Standing",
    DoubleDown = "DoubleDown",
    Busted = "Busted",
    Blackjack = "Blackjack",
    Maxed = "Maxed",
}

export interface PlayingHand {
    state: PlayingHandState,
    hand: [Card]
}

export interface Over {
    type: "over",
    dealerHand: [Card],
    players: [Player],
}

export interface Starting {
    type: "starting",
}

export interface Playing {
    type: "playing",
    dealerUpcard: Card,
    players: [Player],
}

export type Gamestate = Over | Starting | Playing;
